APG PayAPG Paydocs

Merchants

Get merchant apple pay registration

GET/merchants/{merchantId}/apple-pay-registrations
Request
GEThttps://api.tst.au.apgpay.dev/merchants/{merchantId}/apple-pay-registrations
curl -X GET https://api.tst.au.apgpay.dev/merchants/{merchantId}/apple-pay-registrations \
  -H "Authorization: Bearer $API_KEY"

Return the merchant's Apple Pay web registration, or say that there is none.

Permissions

Required permission
merchants:query

Requires the `query` action on `merchants` for the supplied runtime context

Path parameters

merchantIdstring
required

Responses

The response is a typed union.

Discriminated by type
type = "MchtApplePayNone"

This variant has no additional fields.

Example
{
  "type": "MchtApplePayNone"
}

Error responses